#!/bin/bash

# SELECT "RUN IN TERMINAL" to execute....

# Created by LinuxCNC forum member Bogie6040

SOURCE="${BASH_SOURCE[0]}"
while [ -h "$SOURCE" ]; do # resolve $SOURCE until the file is no longer a symlink
  TARGET="$(readlink "$SOURCE")"
  if [[ $SOURCE == /* ]]; then
    echo "SOURCE '$SOURCE' is an absolute symlink to '$TARGET'"
    SOURCE="$TARGET"
  else
    DIR="$( dirname "$SOURCE" )"
    echo "SOURCE '$SOURCE' is a relative symlink to '$TARGET' (relative to '$DIR')"
    SOURCE="$DIR/$TARGET" # if $SOURCE was a relative symlink, we need to resolve it relative to the path where the symlink file was located
  fi
done
# echo "SOURCE is '$SOURCE'"
RDIR="$( dirname "$SOURCE" )"
DIR="$( cd -P "$( dirname "$SOURCE" )" && pwd )"
if [ "$DIR" != "$RDIR" ]; then
  echo "DIR '$RDIR' resolves to '$DIR'"
fi
# end of directory detection.....
echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<"
echo ">>>>                                                          <<<<"
echo ">>>>    This is a utility to add the directories and files    <<<<"
echo ">>>>     required to use the MESA 5i25 cards with Pncconf     <<<<"
echo ">>>>                                                          <<<<"
echo ">>>>     This utility relies on the UN-ZIPed directories.     <<<<"
echo ">>>>     Please do not change their names or locations...     <<<<"
echo ">>>>                                                          <<<<"
echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<"
echo
echo "Working DIR has been detected as: '$DIR'"
echo
echo
echo ">>>>    TO UPDATE YOU WILL NEED TO ENTER THE ROOT PASSWORD    <<<<"
echo
while true
do
echo -n "Please confirm (y or n) :"
read CONFIRM
case $CONFIRM in
y|Y|YES|yes|Yes) break ;;
n|N|no|NO|No)
echo Aborting - you entered $CONFIRM
echo Press Enter to close this window...
read
exit
;;
*) echo Please enter only y or n
esac
done
echo You entered $CONFIRM. Continuing ...
# end of confirmation.....
sudo cp -r "$DIR/hostmot2-firmware-5i25" /usr/share/doc

sudo cp -r "$DIR/5i25" /lib/firmware/hm2

echo
echo
echo "5i25 File Update Finished - Press Enter to close this window..."
echo
read

fi
